Subject: Re: [PATCH] Optionally parse author information

From: Ramkumar Ramachandra <[email-masked]>
Date: Sun, 16 Jan 2011 09:02:57 +0530

Hi Joe,

Joe Corneli writes:
> I tested it, and it seems to use email handle instead of author name
> (perhaps that's intentional, though in my case it's not so desirable)
> but, quite critically, it gets the dates wrong:

Yes. I didn't change it's core behavior- it used to extract the
information from the committer's email address previously; I just
changed it to use the author's email address. For dates, it uses
committer dates again, and this is probably desirable: author dates
aren't necessarily monotonic, and this can break some functionality in
SVN.

Ofcourse, a lot more is possible with an patch that allows users to
configure all these things. Until then, I recommend that you just edit
the source to achieve the desired results.

-- Ram